# Class Version

java.lang.Object
mpi.Version

public final class Version extends Object
Version and Subversion for MPI

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Version(int version, int subVersion)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSubVersion()`
Gets the MPI subversion.
`int`
`getVersion()`
Gets the MPI version.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Version

protected Version(int version, int subVersion)

## Method Details

### getVersion

public int getVersion()
Gets the MPI version.

Returns:
  MPI version

### getSubVersion

public int getSubVersion()
Gets the MPI subversion.

Returns:
  MPI subversion